List Agent Keys
GET
/api/agents
const url = 'https://example.com/api/agents';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/agents \ --header 'Authorization: Bearer <token>'List API keys and their scopes. Admin keys only.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Agent Keys Api Agents Get
Array<object>
AgentRecordAn API key’s identity and scope. The key itself is never stored or returned again.
object
id
required
Id
string
name
required
Name
string
enabled
required
Enabled
boolean
is_admin
required
Is Admin
boolean
allowed_characters
required
Allowed Characters
Array<string>
allowed_workflows
required
Allowed Workflows
Array<string>
created_at
required
Created At
string format: date-time
Examplegenerated
[ { "id": "example", "name": "example", "enabled": true, "is_admin": true, "allowed_characters": [ "example" ], "allowed_workflows": [ "example" ], "max_concurrent_jobs": 1, "created_at": "2026-04-15T12:00:00Z", "last_used_at": "2026-04-15T12:00:00Z", "avatar": "example", "bio": "example" }]